org.hibernate.validator.internal.metadata.raw

## Enum ConfigurationSource

- java.lang.Object
- - java.lang.Enum<ConfigurationSource>
  - - org.hibernate.validator.internal.metadata.raw.ConfigurationSource

- All Implemented Interfaces:
    Serializable, Comparable<ConfigurationSource>

      public enum ConfigurationSource
      extends Enum<ConfigurationSource>

  The source of constraint meta data.
  Author:
    Gunnar Morling

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANNOTATION` The source of configuration are annotation in the source code
    `API` The source of configuration is the programmatic API
    `XML` The source of configuration is XML configuration

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPriority()` Returns this sources priority.
    `static ConfigurationSource` | `max(ConfigurationSource a, ConfigurationSource b)` Returns that configuration source from the given two sources, which has the higher priority.
    `static ConfigurationSource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConfigurationSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANNOTATION

          public static final ConfigurationSource ANNOTATION

      The source of configuration are annotation in the source code

    - #### XML

          public static final ConfigurationSource XML

      The source of configuration is XML configuration

    - #### API

          public static final ConfigurationSource API

      The source of configuration is the programmatic API

  - ### Method Detail

    - #### values

          public static ConfigurationSource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigurationSource c : ConfigurationSource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigurationSource valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPriority

          public int getPriority()

      Returns this sources priority. Can be used to determine which configuration shall apply in case of conflicting configurations by several providers.
      Returns:
        This source's priority.

    - #### max

          public static ConfigurationSource max(ConfigurationSource a,
                                ConfigurationSource b)

      Returns that configuration source from the given two sources, which has the higher priority.
      Parameters:
        `a` - A configuration source.
        `b` - Another configuration source.
      Returns:
        The source with the higher priority. Will be source `a` if both have the same priority.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved